package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Version;

/**
 * SmsReceived generated by hbm2java
 */
@Entity
@Table(name="sms_received"
    ,schema="public"
)
public class SmsReceived  implements java.io.Serializable {


     private Long id;
     private Date timestamp;
     private ClientSecureCommunicationData clientSecureCommunicationData;
     private GatewayModems gatewayModems;
     private String hexPayload;
     private String smscNumber;
     private String smscNumberType;
     private String smscNumberNumberingPlan;
     private Long smscNumberLength;
     private String senderNumber;
     private String senderNumberType;
     private String senderNumberNumberingPlan;
     private Long senderNumberLength;
     private String messageUuid;
     private String smsReceivedStatusType;
     private Integer sequenceNumber;
     private Set<WsSent> wsSents = new HashSet<WsSent>(0);
     private Set<SmsSent> smsSents = new HashSet<SmsSent>(0);
     private Set<EmailSent> emailSents = new HashSet<EmailSent>(0);

    public SmsReceived() {
    }

    public SmsReceived(ClientSecureCommunicationData clientSecureCommunicationData, GatewayModems gatewayModems, String hexPayload, String smscNumber, String smscNumberType, String smscNumberNumberingPlan, Long smscNumberLength, String senderNumber, String senderNumberType, String senderNumberNumberingPlan, Long senderNumberLength, String messageUuid, String smsReceivedStatusType, Integer sequenceNumber, Set<WsSent> wsSents, Set<SmsSent> smsSents, Set<EmailSent> emailSents) {
       this.clientSecureCommunicationData = clientSecureCommunicationData;
       this.gatewayModems = gatewayModems;
       this.hexPayload = hexPayload;
       this.smscNumber = smscNumber;
       this.smscNumberType = smscNumberType;
       this.smscNumberNumberingPlan = smscNumberNumberingPlan;
       this.smscNumberLength = smscNumberLength;
       this.senderNumber = senderNumber;
       this.senderNumberType = senderNumberType;
       this.senderNumberNumberingPlan = senderNumberNumberingPlan;
       this.senderNumberLength = senderNumberLength;
       this.messageUuid = messageUuid;
       this.smsReceivedStatusType = smsReceivedStatusType;
       this.sequenceNumber = sequenceNumber;
       this.wsSents = wsSents;
       this.smsSents = smsSents;
       this.emailSents = emailSents;
    }
   
     @SequenceGenerator(name="generator", sequenceName="sms_received_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

    @Version@Temporal(TemporalType.TIMESTAMP)
    @Column(name="timestamp", length=29)
    public Date getTimestamp() {
        return this.timestamp;
    }
    
    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="client_id")
    public ClientSecureCommunicationData getClientSecureCommunicationData() {
        return this.clientSecureCommunicationData;
    }
    
    public void setClientSecureCommunicationData(ClientSecureCommunicationData clientSecureCommunicationData) {
        this.clientSecureCommunicationData = clientSecureCommunicationData;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="modem_id")
    public GatewayModems getGatewayModems() {
        return this.gatewayModems;
    }
    
    public void setGatewayModems(GatewayModems gatewayModems) {
        this.gatewayModems = gatewayModems;
    }

    
    @Column(name="hex_payload")
    public String getHexPayload() {
        return this.hexPayload;
    }
    
    public void setHexPayload(String hexPayload) {
        this.hexPayload = hexPayload;
    }

    
    @Column(name="smsc_number")
    public String getSmscNumber() {
        return this.smscNumber;
    }
    
    public void setSmscNumber(String smscNumber) {
        this.smscNumber = smscNumber;
    }

    
    @Column(name="smsc_number_type")
    public String getSmscNumberType() {
        return this.smscNumberType;
    }
    
    public void setSmscNumberType(String smscNumberType) {
        this.smscNumberType = smscNumberType;
    }

    
    @Column(name="smsc_number_numbering_plan")
    public String getSmscNumberNumberingPlan() {
        return this.smscNumberNumberingPlan;
    }
    
    public void setSmscNumberNumberingPlan(String smscNumberNumberingPlan) {
        this.smscNumberNumberingPlan = smscNumberNumberingPlan;
    }

    
    @Column(name="smsc_number_length")
    public Long getSmscNumberLength() {
        return this.smscNumberLength;
    }
    
    public void setSmscNumberLength(Long smscNumberLength) {
        this.smscNumberLength = smscNumberLength;
    }

    
    @Column(name="sender_number")
    public String getSenderNumber() {
        return this.senderNumber;
    }
    
    public void setSenderNumber(String senderNumber) {
        this.senderNumber = senderNumber;
    }

    
    @Column(name="sender_number_type")
    public String getSenderNumberType() {
        return this.senderNumberType;
    }
    
    public void setSenderNumberType(String senderNumberType) {
        this.senderNumberType = senderNumberType;
    }

    
    @Column(name="sender_number_numbering_plan")
    public String getSenderNumberNumberingPlan() {
        return this.senderNumberNumberingPlan;
    }
    
    public void setSenderNumberNumberingPlan(String senderNumberNumberingPlan) {
        this.senderNumberNumberingPlan = senderNumberNumberingPlan;
    }

    
    @Column(name="sender_number_length")
    public Long getSenderNumberLength() {
        return this.senderNumberLength;
    }
    
    public void setSenderNumberLength(Long senderNumberLength) {
        this.senderNumberLength = senderNumberLength;
    }

    
    @Column(name="message_uuid")
    public String getMessageUuid() {
        return this.messageUuid;
    }
    
    public void setMessageUuid(String messageUuid) {
        this.messageUuid = messageUuid;
    }

    
    @Column(name="sms_received_status_type")
    public String getSmsReceivedStatusType() {
        return this.smsReceivedStatusType;
    }
    
    public void setSmsReceivedStatusType(String smsReceivedStatusType) {
        this.smsReceivedStatusType = smsReceivedStatusType;
    }

    
    @Column(name="sequence_number")
    public Integer getSequenceNumber() {
        return this.sequenceNumber;
    }
    
    public void setSequenceNumber(Integer sequenceNumber) {
        this.sequenceNumber = sequenceNumber;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="smsReceived")
    public Set<WsSent> getWsSents() {
        return this.wsSents;
    }
    
    public void setWsSents(Set<WsSent> wsSents) {
        this.wsSents = wsSents;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="smsReceived")
    public Set<SmsSent> getSmsSents() {
        return this.smsSents;
    }
    
    public void setSmsSents(Set<SmsSent> smsSents) {
        this.smsSents = smsSents;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="smsReceived")
    public Set<EmailSent> getEmailSents() {
        return this.emailSents;
    }
    
    public void setEmailSents(Set<EmailSent> emailSents) {
        this.emailSents = emailSents;
    }




}


